# Default values for CDB app.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
# We have only done front for now
name: cdb-test

api:
  ingress:
    tlsEnabled: false
    host: api-test.axel-esch.takima.school
  conf:
    aws_bdd_path: "formation-cdb-test:5432"
    aws_bdd: "cdb-test"
  secretKeyName: cdb.formation-cdb-test.credentials.postgresql.acid.zalan.do

front:
  enabled: true
  image:
    repository: registry.gitlab.com/takima-school/images/cdb/www
    tag: latest
  replicaCount: 1
  ingress:
    tlsEnabled: false
    host: www-test.axel-esch.takima.school

back:
  name: super-api-test
  api:
    ingress:
      host: api-test.axel-esch.takima.school
  deployment:
    replicas: 1
  ingress:
    host: api-test.axel-esch.takima.school
  service:
    port: 80

bdd:
  pgConfig:
    data:
      aws_bdd_path: "formation-cdb-test"
      aws_bdd: "cdb-test"
  pgService:
    port: 5432

postgresql:
  name: formation-cdb-test
  teamId: "formation-test"
  volume:
    size: 1Gi
  numberOfInstances: 2
  users:
    cdb-test:
      - superuser
      - createdb
  databases:
    cdb-test: cdb-test